Bug 174911 - [PATCH] cad/leocad: update to 0.79.1, take maintainership, added OptionsNG, license, icons, documentation
Summary: [PATCH] cad/leocad: update to 0.79.1, take maintainership, added OptionsNG, l...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Daniel Eischen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-02 20:10 UTC by nemysis
Modified: 2013-07-26 19:30 UTC (History)
0 users

See Also:


Attachments
leocad-0.79.1.patch (6.48 KB, patch)
2013-01-02 20:10 UTC, nemysis
no flags Details | Diff
leocad.diff (7.11 KB, patch)
2013-01-31 21:21 UTC, nemysis
no flags Details | Diff
leocad.diff (6.88 KB, patch)
2013-02-04 17:56 UTC, nemysis
no flags Details | Diff
leocad.diffs (5.31 KB, text/plain; charset=us-ascii)
2013-07-25 16:29 UTC, eischen
no flags Details
leocad.diff (4.99 KB, patch)
2013-07-25 17:49 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-01-02 20:10:00 UTC
- Update to 0.79.1
- Take maintainership

Added file(s):
- pkg-plist

Makefile changed:
+MASTER_SITES=	GOOGLE_CODE
+DISTFILES=	${PORTNAME}-${PORTVERSION}-src.tgz \
+		${LEOCAD_PIECES}
+DIST_SUBDIR=	${PORTNAME}
+EXTRACT_ONLY=	${PORTNAME}-${PORTVERSION}-src.tgz
+COMMENT=
+LICENSE=	GPLv2
+PORTDOCS=	*
+INSTALLS_ICONS=
+.include <bsd.port.options.mk>

Changed and refined:
+DESKTOP_ENTRIES=
 post-extract:
 post-patch:
 files/patch-config.mk
 pkg-descr

Generated and tested manually, tested with port test, sent with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)

How-To-Repeat: 
portlint -A
looks fine.

port test: clean
Comment 1 nemysis 2013-01-31 21:21:58 UTC
Update to 0.79.2

Makefile changed:
+PORTVERSION=   0.79.2
+       @cd ${WRKSRC}/tools/icon && ${CP} -a ${PORTNAME}_128x128.png icon128.png

Changed and refined:
pkg-plist
Comment 2 nemysis 2013-02-04 17:56:09 UTC
Update after commit cad/leocad to 0.79.2

portlint -A
looks fine.

port test: clean
Comment 3 eischen 2013-07-25 16:29:29 UTC
This port was updated to 0.79.3, so your patch is out of date.
I've tried incorporating all your changes into the new version.
Can you please verify my patch?
Comment 4 Daniel Eischen freebsd_committer 2013-07-25 16:35:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->deischen

I'll take this.
Comment 5 nemysis 2013-07-25 17:49:09 UTC
- Trim comment
- Add license (GPLv2)
- New world order USES: gmake pkgconfig shared-mime-info
- Add docs
- Add DOCS Option
- Trim icons
- Trim pkg-descr
- Trim pkg-plist
Comment 6 Daniel Eischen freebsd_committer 2013-07-26 19:21:17 UTC
State Changed
From-To: open->closed

Patch committed.  Thanks for your contribution!
Comment 7 dfilter service freebsd_committer 2013-07-26 19:21:22 UTC
Author: deischen
Date: Fri Jul 26 18:21:02 2013
New Revision: 323743
URL: http://svnweb.freebsd.org/changeset/ports/323743

Log:
  Change maintainership from @ports to new maintainer.  From the
  new maintainer:
  
    Trim comment
    Add license (GPLv2)
    New world order USES: gmake, pkgconfg, shared-mime-info
    Add docs
    Add DOCS option
    Trim icons
    Trim pkg-descr
    Trim pkg-plist
  
  PR:		174911
  Submitted by:	nemysis at gmx dot ch

Modified:
  head/cad/leocad/Makefile
  head/cad/leocad/pkg-descr
  head/cad/leocad/pkg-plist

Modified: head/cad/leocad/Makefile
==============================================================================
--- head/cad/leocad/Makefile	Fri Jul 26 18:02:28 2013	(r323742)
+++ head/cad/leocad/Makefile	Fri Jul 26 18:21:02 2013	(r323743)
@@ -5,56 +5,88 @@ PORTNAME=	leocad
 PORTVERSION=	0.79.3
 CATEGORIES=	cad
 MASTER_SITES=	GOOGLE_CODE
-DISTFILES=	${PORTNAME}-${PORTVERSION}-src.tgz ${LEOCAD_PIECES}
+DISTFILES=	${PORTNAME}-${PORTVERSION}-src.tgz \
+		${LEOCAD_PIECES}
 DIST_SUBDIR=	${PORTNAME}
 EXTRACT_ONLY=	${PORTNAME}-${PORTVERSION}-src.tgz
 
-MAINTAINER=	ports@FreeBSD.org
-COMMENT=	CAD modeling with LEGO-like bricks
+MAINTAINER=	nemysis@gmx.ch
+COMMENT=	CAD program that uses bricks similar to those found in many toys
+
+LICENSE=	GPLv2
 
 EXTRACT_DEPENDS=${UNZIP_CMD}:${PORTSDIR}/archivers/unzip
 LIB_DEPENDS=	jpeg:${PORTSDIR}/graphics/jpeg \
 		png15:${PORTSDIR}/graphics/png
 
 WRKSRC=		${WRKDIR}/${PORTNAME}
+LEOCAD_PIECES=	pieces-7114.zip
 
-USES=		pkgconfig
-USE_GL=		gl
+USES=		gmake pkgconfig shared-mime-info
+USE_GL=		glut
 USE_GNOME=	gtk20
-USE_GMAKE=	yes
-INSTALLS_ICONS=	yes
 MAKE_JOBS_SAFE=	yes
 
 MAN1=		leocad.1
 
-LEOCAD_PIECES=	pieces-7114.zip
+PORTDOCS=	*
 
-.include <bsd.port.pre.mk>
+DOCSRCDIR1=	${WRKSRC}
+DOC_FILES1=	CREDITS.txt README.txt
 
-.if ${ARCH} == "sparc64"
-BROKEN=		Does not compile on sparc64
-.endif
+DOCSRCDIR2=	${WRKSRC}/docs
+DOCSDIR2=	${DOCSDIR}/docs
+DOC_FILES2=	LINUX.txt TODO.txt
+
+INSTALLS_ICONS=	yes
+ICON_SIZES=	16x16 24x24 32x32 48x48 128x128 256x256
+
+OPTIONS_DEFINE=	DOCS
+
+.include <bsd.port.pre.mk>
 
 post-extract:
-	@${UNZIP_CMD} -q -o ${DISTDIR}/${DIST_SUBDIR}/${LEOCAD_PIECES} \
-		-d ${WRKDIR}/pieces
+	@${UNZIP_CMD} -q -o ${_DISTDIR}/${LEOCAD_PIECES} -d ${WRKDIR}/pieces
 
 post-patch:
 	@${REINPLACE_CMD} -e \
-		's|%%LOCALBASE%%|${LOCALBASE}|' ${WRKSRC}/config.mk
-	@${REINPLACE_CMD} -e \
-		's|+= -g|+=| ; \
-		 s|@$$(CXX)|$$(CXX)| ; \
-		 s|@install -c -m 0755|$${BSD_INSTALL_PROGRAM}| ; \
-		 s|@install -c -m 0644|$${BSD_INSTALL_DATA}| ; \
-		 s|share/man|man|' ${WRKSRC}/Makefile
-	@${REINPLACE_CMD} -e \
 		's|-ldl||' ${WRKSRC}/common/module.mk
+	@${REINPLACE_CMD} \
+		-e 's|%%LOCALBASE%%|${LOCALBASE}|g' \
+		-e 's|%%PTHREAD_CFLAGS%%|${PTHREAD_CFLAGS}|' \
+		-e 's|%%PTHREAD_LIBS%%|${PTHREAD_LIBS}|' \
+		${WRKSRC}/config.mk
+	@${REINPLACE_CMD} 's|share/man|man|g' \
+		${WRKSRC}/Makefile
+.for s in 16 24 32 48 128 256
+	@cd ${WRKSRC}/tools/icon && \
+		${MV} icon${s}.png ${PORTNAME}_${s}x${s}.png
+.endfor
+	@cd ${WRKSRC}/tools/icon && ${CP} -a ${PORTNAME}_128x128.png icon128.png
 
 do-configure:
-	(cd ${WRKSRC} && ${SETENV} PREFIX="${PREFIX}" ${GMAKE} config)
+	cd ${WRKSRC} && ${SETENV} PREFIX="${PREFIX}" ${GMAKE} config
 
 post-install:
-	(cd ${WRKDIR}/pieces && ${INSTALL_DATA} * ${DATADIR})
+	@${MKDIR} ${DATADIR}
+	${INSTALL_DATA} ${WRKDIR}/pieces/* ${DATADIR}
+
+.for s in ${ICON_SIZES}
+	${MKDIR} ${PREFIX}/share/icons/hicolor/${s}/apps
+	${INSTALL_DATA} ${WRKSRC}/tools/icon/${PORTNAME}_${s}.png \
+		${PREFIX}/share/icons/hicolor/${s}/apps/${PORTNAME}.png
+.endfor
+	@${LN} -sf ${PREFIX}/share/icons/hicolor/48x48/apps/${PORTNAME}.png ${PREFIX}/share/pixmaps
+
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${DOC_FILES1:S|^|${DOCSRCDIR1}/|} ${DOCSDIR}
+	@${MKDIR} ${DOCSDIR2}
+	${INSTALL_DATA} ${DOC_FILES2:S|^|${DOCSRCDIR2}/|} ${DOCSDIR2}
+.endif
+
+.if ${ARCH} == "sparc64"
+BROKEN=		Does not compile on sparc64
+.endif
 
 .include <bsd.port.post.mk>

Modified: head/cad/leocad/pkg-descr
==============================================================================
--- head/cad/leocad/pkg-descr	Fri Jul 26 18:02:28 2013	(r323742)
+++ head/cad/leocad/pkg-descr	Fri Jul 26 18:21:02 2013	(r323743)
@@ -1,6 +1,5 @@
-LeoCAD is a CAD program that uses bricks similar to those found in
-many toys (but they don't represent any particular brand). Currently
-it has a library of more than 1000 different pieces, most of them
-were created by James Jessiman (the author of LDraw).
+LeoCAD is a CAD program that can be used to create virtual LEGO models.
+It has an easy to use interface and currently features over 4000 different
+pieces created by the LDraw community.
 
 WWW: http://www.leocad.org

Modified: head/cad/leocad/pkg-plist
==============================================================================
--- head/cad/leocad/pkg-plist	Fri Jul 26 18:02:28 2013	(r323742)
+++ head/cad/leocad/pkg-plist	Fri Jul 26 18:21:02 2013	(r323743)
@@ -1,11 +1,17 @@
 bin/leocad
 share/applications/leocad.desktop
+share/icons/hicolor/128x128/apps/leocad.png
+share/icons/hicolor/16x16/apps/leocad.png
+share/icons/hicolor/24x24/apps/leocad.png
+share/icons/hicolor/256x256/apps/leocad.png
+share/icons/hicolor/32x32/apps/leocad.png
+share/icons/hicolor/48x48/apps/leocad.png
 share/icons/hicolor/scalable/mimetypes/application-vnd.leocad.svg
 %%DATADIR%%/icon.png
 %%DATADIR%%/library.bin
-share/mime/packages/leocad-mime.xml 
-share/pixmaps/leocad.svg 
+share/mime/application/vnd.leocad.xml
+share/mime/packages/leocad-mime.xml
+share/pixmaps/leocad.png
+share/pixmaps/leocad.svg
 @dirrm %%DATADIR%%
 @dirrmtry share/applications
-@exec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
-@unexec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"